import request from "@/utils/request";
import org from "../../router/modules/org";
import { link } from "fs";

export function getHospitaldata(orgid, params) {
  console.log("orgid", orgid);
  console.log("params是什么", params);
  return request({
    url: "/api/site/getdatabyorgid?orgid=" + orgid,
    method: "Get",
    params: params
  });
}

export function getData(orgid, params) {
  console.log("orgidwwww", orgid);
  return request({
    url: "/api/site/getdata?orgid=" + orgid,
    method: "Get",
    params: params
  });
}

export function getArticlelist(orgid, params) {
  return request({
    url: "/api/site/getarticlelist?orgid=" + orgid,
    method: "Get",
    params: params
  });
}

export function getActivities(orgid, params) {
  return request({
    url: "/api/site/getactivities?orgid=" + orgid,
    method: "Get",
    params: params
  });
}

// export function hispitalmore(id,params){
//     console.log("id是多少",id)
//     return request({
//         url:"/api/site/hispitalmore?id="+id,
//         method:"Get",
//         params:params,
//     })
//   }
export function hispitalmore(id,orgid){
    const params = {
      orgid: orgid  
  }  

  return request({
    url: "/api/site/getdatatwo?id=" + id,
    method: "Get",
    params: params
  });
}

export function officemore(id, orgid) {
  const params = {
    orgid: orgid
  };
  return request({
    url: "/api/site/getdatathree?id=" + id,
    method: "Get",
    params: params
  });
}

export function docmore(id, orgid) {
  const params = {
    orgid: orgid
  };
  return request({
    url: "/api/site/getdatafour?id=" + id,
    method: "Get",
    params: params
  });
}

export function kemore(id, orgid) {
  const params = {
    orgid: orgid
  };
  return request({
    url: "/api/site/getdatafive?id=" + id,
    method: "Get",
    params: params
  });
}

export function articlemore(id, orgid) {
  const params = {
    orgid: orgid
  };
  return request({
    url: "/api/site/getdatasix?id=" + id,
    method: "Get",
    params: params
  });
}

export function Activitiesmore(id, orgid) {
  const params = {
    id: id,
    orgid: orgid
  };
  return request({
    url: "/api/site/getdataseven",
    method: "Get",
    params: params
  });
}

export function getDefalutNavigationData(orgid, params) {
  console.log("orgid", orgid);
  return request({
    url: "/api/site/getdefalutnavigationdata?orgid=" + orgid,
    method: "Get",
    params: params
  });
}

export function getOrderModel(orgid, params) {
  console.log("联系我们", orgid);
  return request({
    url: "/api/site/getdataeight?orgid=" + orgid,
    method: "Get",
    params: params
  });
}

export function getAllConnecWay(orgid, params) {
  return request({
    url: "/api/site/getdatanight?orgid=" + orgid,
    method: "Get",
    params: params
  });
}

export function singleActivitInfo(id, orgid) {
  const params = {
    id: id,
    orgid: orgid
  };
  return request({
    url: "/api/site/singleactivitinfo",
    method: "Get",
    params: params
  });
}

export function singleArticleInfo(id, orgid) {
  const params = {
    id: id,
    orgid: orgid
  };
  return request({
    url: "/api/site/singlearticleinfo",
    Get: "Get",
    params: params
  });
}

export function singleDoctorInfo(id, orgid) {
  console.log(id, orgid);
  const params = {
    id: id,
    orgid: orgid
  };

  return request({
    url: "/api/site/singledoctorinfo",
    Get: "Get",
    params: params
  });
}

export function GetRotationLinkAddress(linkid, orgid) {
  const params = {
    linkid: linkid,
    orgid: orgid
  };
  return request({
    url: "/api/site/getrotationlinkaddress",
    Get: "Get",
    params: params
  });
}
